% APRENDIZAJE AUTOMÁTICO: UN ENFOQUE PRÁCTICO
% Autores: Gonzalo Pajares, María Guijarro, P. Javier Herrera y Jesús M. de la Cruz
% Copyright RA-MA, 2010
% Capítulo 2: APRENDIZAJE ESTADÍSTICO

function colores = MapaColores (DATOS_CLASES)

 % definicion de los colores
 
 colores = [1 0 0; 0 1 0; 0 0 1; 1 1 0; 1 0 1; 0 1 1; 1 0.5 0; 0 1 0.5; 0.5 0 1]; 
 [r,s] = size(colores); Mapacolores = zeros(1,r,s); Mapacolores(1,:,:) = colores;
 
 Mapaclases = Mapacolores;
 
 [aa,bb] = size(DATOS_CLASES(1).vFuzzy);
 
 [t,c]= size(DATOS_CLASES);
 for i=1:1:c
     %color = mat2gray(DATOS_CLASES(i).vFuzzy);  
     color = DATOS_CLASES(i).vFuzzy./255;  
     Mapaclases(1,i,:) = color;
 end

 figure; MAP = colormap;
 subplot(2,1,1); imshow(Mapaclases,MAP,'InitialMagnification','fit');
 subplot(2,1,2); imshow(Mapacolores,MAP,'InitialMagnification','fit');
  
 